import numpy as np
from pyTurbulence.solver import solve
from pyTurbulence.plot3D import plot3D
import os

def main():


    # Parameters
    params = {
        "nbModes": 2048,
        "Mt": 0.23,
        "Pressure": 1.0,
        "Temperature": 1.0,
        "k0": 12.0,
        "domain_size": (2. * np.pi, 2. * np.pi, 2. * np.pi),
        "domain_resolution": (64,64,64),
        "seed": 42,
        "gamma": 1.4,
        "case": 1,
        "Spectrum": "PassotPouquet",
        "output_dir": "results"
    }

    # Run the solver
    data = solve(params)

    # Plot the 3D fields
    plot3D(data["u"], params["domain_size"], 
           params["domain_resolution"], name="u")

if __name__ == "__main__":
    main()